### Class

# Ide LspHoverProvider

#### Description

    abstract class Ide.LspHoverProvider : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeHoverProvider

#### Instance methods

###### ide_lsp_hover_provider_get_client

Gets the client that is used for communication.

Available since: 3.30

###### ide_lsp_hover_provider_set_client

Sets the client to be used to query for hover information.

Available since: 3.30

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeHoverProvider (4)

###### ide_hover_provider_hover_async

No description available.

Available since: 3.32

###### ide_hover_provider_hover_finish

No description available.

Available since: 3.32

###### ide_hover_provider_load

This method is used to load an `IdeHoverProvider`. Providers should perform any startup work from here.

Available since: 3.32

###### ide_hover_provider_unload

This method is used to unload an `IdeHoverProvider`. Providers should cleanup any state they’ve allocated.

Available since: 3.32

#### Properties

###### Ide.LspHoverProvider:category

The “category” property is the category name to use when displaying the hover contents.

Available since: 3.30

###### Ide.LspHoverProvider:client

The “client” property is the `IdeLspClient` that should be used to communicate with the Language Server peer process.

Available since: 3.30

###### Ide.LspHoverProvider:priority

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspHoverProviderClass {
      IdeObjectClass parent_class;
      void (* prepare) (
        IdeLspHoverProvider* self
      );

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.
`prepare` |
    void (* prepare) (
        IdeLspHoverProvider* self
      )
| No description available.

#### Virtual methods

###### Ide.LspHoverProviderClass.prepare

No description available.